Problemas actualizando openSUSE [solucionado]

Comentarios sobre el buen funcionamiento del sistema y como personalizarlo a tus necesidades.

Moderadores: doc, mcun

Responder
Avatar de Usuario
Kenton
Forista Mayor
Forista Mayor
Mensajes: 548
Registrado: Sab Jun 21, 2014 1:54 pm

Problemas actualizando openSUSE [solucionado]

Mensaje por Kenton »

keos@linux:~> su
Contraseña:
linux:/home/keos # zypper up
Obteniendo los datos del repositorio...
Leyendo los paquetes instalados...

Las siguientes 69 actualizaciones NO serán instaladas:
aide clamav fdupes fipscheck gstreamer gstreamer-0_10
gstreamer-0_10-plugin-esd gstreamer-0_10-plugin-gnomevfs
gstreamer-0_10-plugins-bad gstreamer-0_10-plugins-base
gstreamer-0_10-plugins-good gstreamer-0_10-plugins-ugly gstreamer-0_10-utils
gstreamer-0_10-utils-unversioned gstreamer-plugins-bad gstreamer-plugins-base
gstreamer-plugins-good gstreamer-plugins-ugly gufw gufw-lang haveged keyutils
libcap-ng0 libfipscheck1 libfipscheck1-32bit libgstallocators-1_0-0
libgstapp-0_10-0 libgstapp-1_0-0 libgstaudio-1_0-0 libgstbadbase-1_0-0
libgstbadvideo-1_0-0 libgstbasecamerabinsrc-0_10-23
libgstbasecamerabinsrc-1_0-0 libgstbasevideo-0_10-23
libgstcodecparsers-0_10-23 libgstcodecparsers-1_0-0 libgstfft-1_0-0
libgstgl-1_0-0 libgstinterfaces-0_10-0 libgstmpegts-1_0-0 libgstpbutils-1_0-0
libgstphotography-0_10-23 libgstphotography-1_0-0 libgstreamer-0_10-0
libgstreamer-1_0-0 libgstriff-1_0-0 libgstrtp-1_0-0 libgstrtsp-1_0-0
libgstsdp-1_0-0 libgstsignalprocessor-0_10-23 libgsttag-1_0-0
libgstvdp-0_10-23 libgstvideo-1_0-0 libhavege1 libkeyutils1
libkeyutils1-32bit libmjpegutils-2_0-0 libquicktime0 libseccomp2 libstoken1
libtomcrypt0 mjpegtools rkhunter typelib-1_0-Gst-1_0 typelib-1_0-GstAudio-1_0
typelib-1_0-GstPbutils-1_0 typelib-1_0-GstTag-1_0 typelib-1_0-GstVideo-1_0
ufw

No hay nada que hacer.
linux:/home/keos # zypper refresh
El repositorio 'Packman Repository' está actualizado.
El repositorio 'openSUSE-13.2-Non-Oss' está actualizado.
El repositorio 'openSUSE-13.2-Oss' está actualizado.
El repositorio 'openSUSE-13.2-Update' está actualizado.
El repositorio 'openSUSE-13.2-Update-Non-Oss' está actualizado.
El repositorio 'security' está actualizado.
Todos los repositorios han sido actualizados.

Editado -- Lun Ene 05, 2015 10:36 pm --

Ya descubri lo que sucede, simplemente opensuse te fuerza a tener en su distribucion lo que ella quiere mantener ahi y cuando lo desintalas por la terminal como root, te "castiga" no permitiendote posteriormente actualizar el sitema, te tienes que someter a su regla, que curioso; y no hablemos de lo sucio que es, no habia visto en Linux nada mas parecido a Windows.

No tuve mas que hacer un update a la distribucion (zypper dist-upgrade) y todo regresa a la "normalidad", quiero decir a su "nomalidad", con libreoffice y todo lo que ellos quieren mantener en la misma.

-- sistema actualizado, le pongo resuelto? :evil:

keos@linux:~> su
Contraseña:
linux:/home/keos # zypper update
Obteniendo los datos del repositorio...
Leyendo los paquetes instalados...

No hay nada que hacer.
linux:/home/keos #

Editado -- Lun Ene 05, 2015 11:14 pm --

Lo lamento, ERROR de mi parte, habia que ir a Yast y en opciones marcar: "Ignorar paquetes recomendados para paquetes ya instalados".
"Me lo contaron y lo olvidé. Lo vi y lo entendí. Lo hice y lo aprendí." -- Confucio.

Graphics: AMD Radeon HD 7640G integrated graphics
GPU: AMD/ATI Trinity [Radeon HD 7640G]

Sistemas Operativos: PCLinux

Avatar de Usuario
hmg79
Forista Legendario
Forista Legendario
Mensajes: 2211
Registrado: Lun Mar 31, 2008 8:00 am

Re: Problemas actualizando openSUSE [solucionado]

Mensaje por hmg79 »

Kenton antes de hablar hay que preguntar no te parece????
Eso que vos decís es un problema que tienen la inmensa mayoria de las distribuciones que tratan de ser fáciles para los usuarios nuevos, es decir acá el gran problema es la parte que trata de ser fácil, o sea en ese tipo de distros tenes dos opciones usarlas al modo fácil(usando sus gestores de administración) o hacerlas al modo difícil(linea de comandos y edición de archivos de configuración),al tratar de trabajar en un modo híbrido, o sea para ciertas cosas usar yast y para otras comandos, lo único que generas es inconsistencias en los archivos de configuración y por consiguiente altas probabilidades de un fallo del sistema algo que a vos te encanta hacer.-

En otras palabras o usas Yast o Comandos, no mezcles las cosas, mas que nada porque Yast tiene prioridad sobre el sistema, y las cosas que hagas en comandos cuando ejecutes yast se va todo al .....................-
Igual para instalar cosas es mejor hacerlo por comandos y desde una consola.-
Aunque dentro de todo yast es menos problemática que el gestor de RedHat.-

Avatar de Usuario
Kenton
Forista Mayor
Forista Mayor
Mensajes: 548
Registrado: Sab Jun 21, 2014 1:54 pm

Re: Problemas actualizando openSUSE [solucionado]

Mensaje por Kenton »

No entiendo para nada tu argumentacion.

Yo fui a la linea de comandos a desintalar lo que no queria tener en el sistema y despues de hacerlo no me quizo actualizar porque no habia ido al yast (requerimiento 'hibridoide' del sistema, algo asi como una 'quilombada') a hacer el 'ajuste requerido' (?) ...

En cuanto a preguntar ... creo que ya pregunto demasiado, no crees?
"Me lo contaron y lo olvidé. Lo vi y lo entendí. Lo hice y lo aprendí." -- Confucio.

Graphics: AMD Radeon HD 7640G integrated graphics
GPU: AMD/ATI Trinity [Radeon HD 7640G]

Sistemas Operativos: PCLinux

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje